diff --git a/web/pgadmin/tools/datagrid/templates/datagrid/js/datagrid.js b/web/pgadmin/tools/datagrid/templates/datagrid/js/datagrid.js
index c7d4642..8c16132 100644
--- a/web/pgadmin/tools/datagrid/templates/datagrid/js/datagrid.js
+++ b/web/pgadmin/tools/datagrid/templates/datagrid/js/datagrid.js
@@ -20,7 +20,7 @@ define(
 
         // Define list of nodes on which view data option appears
         var supported_nodes = [
-           'table', 'view',
+           'table', 'view', 'mview',
            'foreign-table', 'catalog_object'
         ],
 
diff --git a/web/pgadmin/tools/sqleditor/command.py b/web/pgadmin/tools/sqleditor/command.py
index 6cfd078..68e0f43 100644
--- a/web/pgadmin/tools/sqleditor/command.py
+++ b/web/pgadmin/tools/sqleditor/command.py
@@ -512,6 +512,16 @@ class ViewCommand(GridCommand):
         return True
 
 
+class MViewCommand(ViewCommand):
+    """
+    class MViewCommand(ViewCommand)
+
+        It is a derived class for View type has
+        same functionality of View
+    """
+    object_type = 'mview'
+
+
 class ForeignTableCommand(GridCommand):
     """
     class ForeignTableCommand(GridCommand)
